package cc.fascinated.backend.model;

import io.micrometer.common.lang.NonNull;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.annotation.Id;

@AllArgsConstructor
@Getter
public class Paste {
    /**
     * The id of the paste.
     */
    @Id @NonNull
    private final String id;

    /**
     * The time the paste was created.
     */
    private final long created;

    /**
     * The content of the paste.
     */
    @NonNull
    private final String content;
}
